Subject: Re: bug#46290: 28.0.50; repeat's ability to repeat complex commands is broken

From: Gregory Heytings <[email-masked]>
Date: Thu, 04 Feb 2021 08:30:28 +0000

>
> But secondly, it doesn't seem like the "Repeating %S" branch works at 
> all.  For if you type M-! date RET C-x z then you get prompted for a 
> shell command, rather than date(1) just getting executed again right 
> away.
>
> I added some debug printing to `repeat' and found that after M-! date 
> RET, last-repeatable-command is set to shell-command, not 
> exit-minibuffer.  So perhaps the way that last-repeatable-command gets 
> set has changed since this code in repeat.el was written?
>

FWIW, the answer to that question seems to be positive.  In Emacs 21 M-! 
date RET C-x z repeats "date" without prompting again, in later Emacsen 
you get prompted again for a shell command.